%define major		5
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name:		ffms2
Version:	2.40
Release:	%mkrel 2
Summary:	Wrapper library around libffmpeg
License:	MIT
Group:		System/Libraries
URL:		https://github.com/FFMS/ffms2/
Source0:	https://github.com/FFMS/%{name}/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	libtool
BuildRequires:	ffmpeg-devel

%description
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

#---------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Obsoletes: lib64ffms2_4

%description -n %{libname}
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

#---------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#---------------------------------------------------------------------------
%prep
%setup -q

sed -i 's/\r$//' COPYING

%build
./autogen.sh
autoreconf -vfi
%configure2_5x \
		--docdir=%{_docdir}/lib%{name}-devel \
		--enable-shared \
		--disable-static
%make

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc COPYING
%{_bindir}/ffmsindex

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/ffms*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_docdir}/lib%{name}-devel


%changelog
* Tue Mar 28 2023 tex - 2.40-2pclos2023
- obsolete lib64ffms2_4

* Thu Mar 09 2023 onkelho <oh.quait at gmail.com> - 2.40-1pclos2023
- new version released on Aug.22-2022

* Sun Jun 09 2019 tex - 2.23-2pclos2019
- rebuild against updates

* Wed Mar 08 2017 bb2 <bb2> - 2.23-1pclos2017
- update for new ffmpeg

* Thu Sep 01 2016 bb <bb> 2.22-1pclos2016
- import from france

